#
# Copyright 2019-2020 NVIDIA CORPORATION.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


"""Init file for cuda package."""

from genomeworks.cuda.cuda import CudaRuntimeError, CudaStream
from genomeworks.cuda.cuda import cuda_get_device_count, cuda_set_device, cuda_get_device, cuda_get_mem_info

__all__ = ["CudaRuntimeError",
           "CudaStream",
           "cuda_get_device_count",
           "cuda_set_device",
           "cuda_get_device",
           "cuda_get_mem_info"]
